Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2024 19:27:05 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 27 Oct 2024 19:19:48 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> It's quite clear from the image that the "misaligned" line uses a font
> with a different slant/weight/height value.  If that is the reason, I
> guess the problem is with composition caching, but why is that an
> issue in real life?  Do real-life Lisp programs modify face font
> attributes so frequently?

Or maybe I don't understand the original problem.  The bug report says
"extra spaces", but eacg font has its own metrics of the SPC glyph, so
highlighting a line with a given face can affect the metrics of the
whitespace.  Why is this surprising?  Or what did I miss?